Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045013
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2020-09-09 10:572020-09-18 09:49
ReportermaiteView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityurgentResolutionfixedFixed in VersionRR20Q4
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045013: Cross Store Return stuck in the Errors While Importing can not be processed again

DescriptionIt is not possible to Save again a cross store return that, for any reason, is stuck in the EWI window. When trying to save it again following error is raised:

org.openbravo.base.exception.OBSecurityException: Entity 1119 - Order - 1124001 (C_IMPORT_ENTRY) with organization 1119 references an entity 1124001 through its property C_IMPORT_ENTRY.oBPOSPOSTerminal but this referenced entity belongs to an organization 1124 which is not part of the natural tree of 1119

The problem is in POSImportEntryProcessor.java, line 111: the record stuck in EWI does not have the "content" section (which is present when the json is synchronized from the terminal) with the terminal's organization. So the "Save Again" process takes the organization from the "data" section, which contains the original's ticket organization (not the terminal's organization)
Steps To Reproduce0. Log into OS-1 terminal, which has Cross Store functionality enabled
1. Press on Verified Return option, press on Advance Filters and select tickets from VallBlanca organization
2. Ensure that the return ticket is stuck in EWI (for example, in local, I raised an exception in the OrderLoader)
3. Access to backoffice, go to Errors While Importing POS Data window and press Save Again. The error will appear and will not be possible to reprocess the record
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0123120)
hgbot (developer)
2020-09-17 04:55

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/101 [^]
(0123198)
hgbot (developer)
2020-09-18 09:49

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/101 [^]
(0123199)
hgbot (developer)
2020-09-18 09:49

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal [^]
Changeset: 806b73ca4e4088e8834e79cd6bbc5ecde58d1598
Author: Ranjith S R <ranjith@qualiantech.com>
Date: 2020-09-17T15:38:26+05:30
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/commit/806b73ca4e4088e8834e79cd6bbc5ecde58d1598 [^]

Fixed ISSUE-45013: POS Organization should be used to create Import Entry Organzation
* Import Entry should be created with POS Org instead of ticket Org

---
M src/org/openbravo/retail/posterminal/importprocess/POSImportEntryProcessor.java
---

- Issue History
Date Modified Username Field Change
2020-09-09 10:57 maite New Issue
2020-09-09 10:57 maite Assigned To => Retail
2020-09-09 10:57 maite Triggers an Emergency Pack => No
2020-09-09 10:57 maite Issue Monitored: maite
2020-09-09 10:57 maite Issue End Monitor: maite
2020-09-09 10:57 maite Issue Monitored: networkb
2020-09-14 09:21 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2020-09-16 06:07 ranjith_qualiantech_com Status new => scheduled
2020-09-17 04:55 hgbot Note Added: 0123120
2020-09-18 09:49 hgbot Resolution open => fixed
2020-09-18 09:49 hgbot Status scheduled => closed
2020-09-18 09:49 hgbot Note Added: 0123198
2020-09-18 09:49 hgbot Fixed in Version => RR20Q4
2020-09-18 09:49 hgbot Note Added: 0123199


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker